# Middleware to ensure that we clear the context with every request

module HonestPubsub
  class Middleware
    def initialize(app)
      @app = app
    end

    def call(env)
      HonestPubsub::Context.clear!
      @app.call(env)
    end
  end
end
